> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出提供商

> 获取通过 ARouter 可用的所有 AI 提供商列表。

获取当前通过 ARouter 可用的所有提供商，包括其名称和支持的模型数量。

## 端点

```
GET /api/v1/providers
```

## 请求示例

```bash theme={null}
curl https://api.arouter.ai/api/v1/providers \
  -H "Authorization: Bearer lr_live_xxxx"
```

## 响应示例

```json theme={null}
{
  "data": [
    {
      "id": "OpenAI",
      "name": "OpenAI",
      "model_count": 24,
      "is_byok_supported": true
    },
    {
      "id": "Anthropic",
      "name": "Anthropic",
      "model_count": 12,
      "is_byok_supported": true
    },
    {
      "id": "Google",
      "name": "Google",
      "model_count": 16,
      "is_byok_supported": true
    },
    {
      "id": "Meta",
      "name": "Meta",
      "model_count": 18,
      "is_byok_supported": false
    }
  ]
}
```

## 响应字段

| 字段                         | 类型        | 描述                                    |
| -------------------------- | --------- | ------------------------------------- |
| `data`                     | `array`   | 提供商对象列表                               |
| `data[].id`                | `string`  | 用于路由的提供商标识符（例如在 `provider.order` 中使用） |
| `data[].name`              | `string`  | 人类可读的提供商名称                            |
| `data[].model_count`       | `integer` | 该提供商可用的模型数量                           |
| `data[].is_byok_supported` | `boolean` | 该提供商是否支持 BYOK                         |

## 说明

* 提供商 ID 用于聊天补全请求中的 `provider.order`、`provider.only` 和 `provider.ignore` 字段
* 如何在请求中使用提供商 ID，请参阅[提供商路由](/zh/provider-routing)
* BYOK 配置请参阅 [BYOK](/zh/guides/overview/byok)
